Status: Closed Start date: 04/17/2015
Priority: Normal Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Installation Estimated time: 3.00 hours
Target version: Arch Linux Spent time: 2.50 hours
Description

This is a guide for installing the stock pre-compiled Yocto Linux image provided by Intel

Prepare the MicroSD Card

¢ |nstall dosfstools:

sudo pacman —-S dosfstools

e To start, find the device path for the microsd card. insert the microsd card into the workstation, open a terminal and run:

dmesg

o Example output

[13103.012976] mmcO: new SD card at address 8ccd

[13103.052022] Driver 'mmcblk' needs updating - please use bus_type methods

[13103.057749] mmcblkO: mmcO:8ccd YVO4F 1.89 GiB
o NOTE: This example will use /dev/mmcblk0 for the microsd device path.

e (Optional) Zero the MicroSD card:

sudo dd if=/dev/zero of=/dev/mmcblk0

e Now create a partition for the MicroSD card:

sudo fdisk /dev/mmcblk0
o Next format the micro SD card to fat32:

sudo mkfs.msdos /dev/mmcblkOpl
* Next, download and extract the LINUX_IMAGE_FOR_SD_ Intel_Galileo_v1.0.4.zip file:

mkdir ~/galileo—-img && cd ~/galileo-img

wget

http://downloadmirror.intel.com/24355/eng/SDCard.1.0.4.tar.bz2

tar xjf SDCard.l1l.0.4.tar.bz2

e Mount the micro SD card and copy the extracted stock Linux files over to the micro SD card:

sudo
sudo
sudo
sudo

mkdir /mnt/sdcard

mount /dev/mmcblkOpl /mnt/sdcard

cp -r ~/galileo-img/image-full-galileo/* /mnt/sdcard/
sync

e Unmount the MicroSD card:

sudo

At this point the stock Yocto Linux provided by Intel is installed and ready for use; complete with persistent sketches and wireless

support.

umount /mnt/sdcard

Resources

e http://www.intel.com/support/galileo/sb/CS-035101.htm

History

#1 - 04/17/2015 02:07 PM - Daniel Curtis

- Project changed from GNU/Linux Administration to Intel Galileo

- Description updated

- Category set to Installation

- Status changed from New to In Progress

- Target version set to Arch Linux

- % Done changed from 0 to 50

#2 - 04/17/2015 03:04 PM - Daniel Curtis

- Description updated

#3 - 04/17/2015 03:14 PM - Daniel Curtis

- Description updated

#4 - 04/17/2015 03:33 PM - Daniel Curtis

- Description updated

- Status changed from In Progress to Resolved

- % Done changed from 50 to 100

#5 - 04/17/2015 03:34 PM - Daniel Curtis

- Description updated

#6 - 05/10/2015 09:18 AM - Daniel Curtis

- Status changed from Resolved to Closed
